## ros-kinetic-homer-mary-tts 1.0.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(homer_mary_tts)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  roscpp
  rospy
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
 generate_dynamic_reconfigure_options(
	 cfg/MaryTTS.cfg
#   cfg/DynReconf2.cfg
 )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES homer_mary_tts
#  CATKIN_DEPENDS dynamic_reconfigure roscpp rospy
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
# add_library(homer_mary_tts
#   src/${PROJECT_NAME}/homer_mary_tts.cpp
# )

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
# add_dependencies(homer_mary_tts ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
# add_executable(homer_mary_tts_node src/homer_mary_tts_node.cpp)

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(homer_mary_tts_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
# target_link_libraries(homer_mary_tts_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  src/mary_tts.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
# install(TARGETS homer_mary_tts homer_mary_tts_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(DIRECTORY cfg/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cfg
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_homer_mary_tts.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-homer-mary-tts (1.0.18-1xenial) xenial; urgency=high

  * test
  * homer_mary_tts: added mary_tts to doc toc
  * Contributors: Niklas Yann Wettengel

 -- raphael <raphael@todo.todo>  Thu, 30 Mar 2017 22:00:00 -0000

ros-kinetic-homer-mary-tts (1.0.17-1xenial) xenial; urgency=high

  * added generated python module api doc
  * Contributors: Niklas Yann Wettengel

 -- raphael <raphael@todo.todo>  Sun, 19 Mar 2017 23:00:00 -0000

ros-kinetic-homer-mary-tts (1.0.15-1xenial) xenial; urgency=high

  * don't die on empty speak output - resort mic mute - give right message on talking finished
  * mic mute raphael
  * Contributors: Florian Polster, Lisa

 -- raphael <raphael@todo.todo>  Thu, 09 Mar 2017 23:00:00 -0000

ros-kinetic-homer-mary-tts (1.0.14-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Tue, 13 Dec 2016 23:00:00 -0000

ros-kinetic-homer-mary-tts (1.0.13-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Tue, 06 Dec 2016 23:00:00 -0000

ros-kinetic-homer-mary-tts (1.0.11-1xenial) xenial; urgency=high

  * added homer_mary_tts
  * Contributors: Niklas Yann Wettengel

 -- raphael <raphael@todo.todo>  Mon, 05 Dec 2016 23:00:00 -0000

ros-kinetic-homer-mary-tts (1.0.10-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Thu, 17 Nov 2016 13:52:00 -0000

ros-kinetic-homer-mary-tts (1.0.9-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Thu, 17 Nov 2016 10:29:14 -0000

ros-kinetic-homer-mary-tts (1.0.8-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Tue, 15 Nov 2016 18:44:10 -0000

ros-kinetic-homer-mary-tts (1.0.7-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Wed, 13 Jan 2016 14:08:13 -0000

ros-kinetic-homer-mary-tts (1.0.6-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Tue, 12 Jan 2016 12:10:00 -0000

ros-kinetic-homer-mary-tts (1.0.5-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Mon, 11 Jan 2016 20:23:00 -0000

ros-kinetic-homer-mary-tts (1.0.4-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Mon, 11 Jan 2016 18:58:00 -0000

ros-kinetic-homer-mary-tts (1.0.3-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Thu, 31 Dec 2015 23:00:00 -0000

ros-kinetic-homer-mary-tts (1.0.2-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Wed, 16 Sep 2015 12:33:00 -0000

ros-kinetic-homer-mary-tts (1.0.1-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Tue, 08 Sep 2015 12:38:00 -0000

ros-kinetic-homer-mary-tts (0.1.1-1xenial) xenial; urgency=high



 -- raphael <raphael@todo.todo>  Tue, 15 Nov 2016 18:34:00 -0000

=== debian/control ===
Source: ros-kinetic-homer-mary-tts
Section: misc
Priority: extra
Maintainer: raphael <raphael@todo.todo>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-roscpp, ros-kinetic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-homer-mary-tts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyaudio, ros-kinetic-dynamic-reconfigure, ros-kinetic-roscpp, ros-kinetic-rospy
Description: The homer_mary_tts package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-homer-mary-tts//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
